1&1 L64(bit) SuSE 9.3 und x versuche php zu installieren...

Apache, Lighttpd, nginx, Cherokee
the phantom
Posts: 6
Joined: 2006-03-12 11:19

1&1 L64(bit) SuSE 9.3 und x versuche php zu installieren...

Post by the phantom » 2007-02-05 17:57

Hallo,

ich versuche schon seit dem ganzen Wochenende alle Pakete upzudaten. Doch mit PHP5 habe ich keinen Erfolg. Erstmal mein System:

SuSE Linux 9.3 64-Bit-Version
Apache2
MySQL 4
PHP 4.3.10 (PHP 5.1 oder > benötigt)
Plesk 7.5.3 Reloaded (jetzt nach allen Updates 8.1.0)
Auf diesem Server werden die Domains und alle Daten gehostet, daher kann ich ihn nicht platt machen.

So, jetzt mein Problem. Ich habe standartmäßig php4.3.10 und php5.0.3 installiert gehabt (ohne meine Einwirkung => Image von 1&1). Jetzt wollte ich wie gesagt auf PHP5.1 oder neuer updaten, habe aber dabei mitbekommen, dass Plesk da auch seine Eigenheiten hat. PHP wird als Modul in Apache2 geladen.

Alles was ich bisher probiert habe, ging nach hinten los. Ich finde keine richtigen RPMs, wenn ich sie habe, läd er das PHP-Modul nicht in Apache2 ein und ich bin froh, dass PLESK noch funktionert. Dieses Programm, so sagt yast, funktioniert nur(?) mit php4. Habe in diesem Zusammenhang auch was mit dem autoupdater gehört.

Ich brauche bei dieser Installation nun Hilfe. Evtl auch ein Tutorial oder HowTo.

Danke im Voraus!

danu
Posts: 263
Joined: 2005-02-02 11:15

Re: 1&1 L64(bit) SuSE 9.3 und x versuche php zu installieren...

Post by danu » 2007-02-06 01:30

Was ich weiss, schon PLESK 8.0.1 installierte seinen eigenen Apache und dazu sein eigenes PHP 5.0.3 (bei S&P, jetzt 1&1). Das von PLESK verwaltete
Webhosting läuft über einen zweiten Apache und bei älteren Distris noch mit PHP 4.
Dies PHP Site finde ich ganz gut:
http://www.php-homepage.de/manual/